import { Request, Response } from 'express';
import { createProbationDto, filterProbationDto, reviewProbationDto } from './probation.dto';
import { ProbationService } from './probation.service';
export declare class ProbationController {
    private readonly service;
    constructor(service: ProbationService);
    createProbation(data: createProbationDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getProbationsByFilter(query: filterProbationDto, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    getProbationById(id: string, owner_id: string, res: Response): Promise<Response<any, Record<string, any>>>;
    reviewProbation(id: string, data: reviewProbationDto, owner_id: string, req: Request, res: Response): Promise<Response<any, Record<string, any>>>;
}
